let DObject = require('./dynamo'), Generator = require('aws-generator'), AWS = Generator.AWS;
let instance_table = 'loc_tables_';

class InstanceObject extends DObject {

    constructor(data) {
        super(data,{
            tablename: instance_table+process.env["region"],
            region: process.env["region"],
            sorts:['instance_id']
        });
        let _this = this;
        Generator.Generators.ProduceNew()
            .then(function (dynamo) {
                _this.dynamo = dynamo
            })
            .catch(function (err) {
                console.log(err);
            })
    }

    put() {
        this.dynamo.putItem(this.params)
    }
}

module.exports = InstanceObject;